#ifndef AUDIO_IN_H
#define AUDIO_IN_H

#include <QObject>
#include <QAudioInput>
#include <QAudioOutput>
#include <QDebug>
#include <QThread>

#include <limits>

#include "throttle.h"

class Audio_In : public QObject {
        Q_OBJECT
public:
        explicit Audio_In(QObject *parent = 0);
        
signals:
        void broadcast_audio_data(QByteArray);
        void found_devices(QStringList, QStringList);
        void read_audio_level(int);

public slots:
        void audio_start(QString, QString, bool);
        void audio_read();
        void enumerate_devices();

private slots:

private:
        QAudioFormat audio_format;
        QIODevice *audio_device;
        QAudioInput *audio_in_stream;
        QIODevice *audio_out_buffer;
        QAudioOutput *audio_out_stream;
        bool playthrough;
        Throttle level_indicator_throttle;
};

#endif // AUDIO_IN_H
