#include "level_indicator.h"

Level_Indicator::Level_Indicator(QWidget *parent) : QWidget(parent) {
        rita = new Rita;
        connect(this, SIGNAL(image_ready(QImage)), rita, SLOT(display_image(QImage)));

        QVBoxLayout *layout = new QVBoxLayout;
        layout->setContentsMargins(0,0,0,0);
        layout->addWidget(rita);
        setLayout(layout);
}

void Level_Indicator::display_level(int level) {
        if (level > 100) level = 100;
        else if (level < 0) level = 0;

        int inverse_level = 100 - level;

        QImage level_image(1, 100, QImage::Format_ARGB32);
        level_image.fill(QColor(Qt::green).rgb());
        quint32 *pointer = (quint32 *)level_image.bits();
        memset(pointer, 0, sizeof(quint32) * inverse_level);

        emit image_ready(level_image);
}
